Dispensary
Base URL: https://api.covasoft.net/dispensary
Endpoints
| Endpoint | Description |
|---|---|
GET Companies({CompanyId})/ProductTestResults?filter={filter} | Returns Dispensary Package Testing Details |
GET CannabinoidTypes | Returns All Cannabinoid Types in Cova |
GET Companies({CompanyId})/Entities({LocationId})/EquivalencyPurchasingLimits | Returns Equivalency Purchasing Limit by Location |
GET v1/companies/{CompanyId}/locations/{LocationId}/customer/{CustomerId}/cannabispurchasesummary/today | Returns a Customers Purchased THC Amounts for the Day |
GET Companies({CompanyId})/Entities({LocationId})/purchaselimits | Returns a Location's Purchase Tranaction Limit for the Day |
GET Companies({CompanyId})/SupplierLicensing({SupplierId} | Returns Dispensary Suppliers Licensing Details by SupplierId |
GET Companies({CompanyId})/ProductTestResults?filter={filter}
Returns Dispensary Package Testing Details
Base URL:
https://api.covasoft.net/dispensary
Example of a call would be:
https://api.covasoft.net/dispensary/Companies({CompanyId})/ProductTestResults?$filter=PackageId+eq+'{PackageId}'
data Filters
filter=PackageId+eq+'{PackageId}'
ormal Odata pagings with $top & $skip
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage. | integer | Required |
| filter | The Odata filter applied to this call, see Odata filter section above | string | None. |
Body Parameters
None.
Response Information
Resource Description
Dispensary Package Testing Details
Collection of DispensaryPackageResultsReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| BatchId | string | None. | |
| ExpiryDate | string | None. | |
| PackageId | string | None. | |
| SupplierId | integer | None. | |
| ReceivingId | globally unique identifier | None. | |
| ReceivingDate | date | None. | |
| Strain | string | None. | |
| SupplierLicense | string | None. | |
| TestDate | date | None. | |
| Cannabinoids | Collection of Cannabinoid | None. | |
| HarvestDate | date | None. | |
| TestingFacilityName | string | None. | |
| TestBatchNumber | string | None. | |
| SupplierName | string | None. | |
| TerpeneProfile | string | None. |
Response Formats
application/json, text/json
[
{
"Id": "d393c68f-21ef-4fc9-b7b5-bfd5cd00395f",
"BatchId": "sample string 2",
"ExpiryDate": "sample string 3",
"PackageId": "sample string 4",
"SupplierId": 1,
"ReceivingId": "cc4ad565-284e-4f19-94b1-7033f900ad66",
"ReceivingDate": "2026-10-02T17:41:23.680148+00:00",
"Strain": "sample string 7",
"SupplierLicense": "sample string 8",
"TestDate": "2026-10-02T17:41:23.680148+00:00",
"Cannabinoids": [
{
"CannabinoidTypeId": 1,
"CannabinoidType": "sample string 2",
"Value": 3.1
},
{
"CannabinoidTypeId": 1,
"CannabinoidType": "sample string 2",
"Value": 3.1
}
],
"HarvestDate": "2026-10-02T17:41:23.680148+00:00",
"TestingFacilityName": "sample string 9",
"TestBatchNumber": "sample string 10",
"SupplierName": "sample string 11",
"TerpeneProfile": "sample string 12"
},
{
"Id": "d393c68f-21ef-4fc9-b7b5-bfd5cd00395f",
"BatchId": "sample string 2",
"ExpiryDate": "sample string 3",
"PackageId": "sample string 4",
"SupplierId": 1,
"ReceivingId": "cc4ad565-284e-4f19-94b1-7033f900ad66",
"ReceivingDate": "2026-10-02T17:41:23.680148+00:00",
"Strain": "sample string 7",
"SupplierLicense": "sample string 8",
"TestDate": "2026-10-02T17:41:23.680148+00:00",
"Cannabinoids": [
{
"CannabinoidTypeId": 1,
"CannabinoidType": "sample string 2",
"Value": 3.1
},
{
"CannabinoidTypeId": 1,
"CannabinoidType": "sample string 2",
"Value": 3.1
}
],
"HarvestDate": "2026-10-02T17:41:23.680148+00:00",
"TestingFacilityName": "sample string 9",
"TestBatchNumber": "sample string 10",
"SupplierName": "sample string 11",
"TerpeneProfile": "sample string 12"
}
]
GET CannabinoidTypes
Returns All Cannabinoid Types in Cova
Base URL:
https://api.covasoft.net/dispensary
Example of a call would be:
https://api.covasoft.net/dispensary/CannabinoidTypes
data Filters
ormal Odata pagings with $top & $skip
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
ll Cannabinoid Types in Cova
Collection of DispensaryCannabinoidTypesReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Name | string | None. | |
| Enabled | boolean | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"Name": "sample string 2",
"Enabled": true
},
{
"Id": 1,
"Name": "sample string 2",
"Enabled": true
}
]
GET Companies({CompanyId})/Entities({LocationId})/EquivalencyPurchasingLimits
Returns Equivalency Purchasing Limit by Location
Base URL:
https://api.covasoft.net/dispensary
Example of a call would be:
https://api.covasoft.net/dispensary/Companies({CompanyId})/Entities({LocationId})/EquivalencyPurchasingLimits
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage. | integer | Required |
| LocationId | This is Location Id where you want to get the Equivalency Purchasing Limits | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Equivalency Purchasing Limit by Location
Collection of DispensaryEquivalencyPurchasingLimitsByLocationReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier | None. | |
| Limit | decimal number | None. |
Response Formats
application/json, text/json
[
{
"Id": "c04c79fc-9c1d-4a76-8f10-5fe4327544e6",
"Limit": 2.1
},
{
"Id": "c04c79fc-9c1d-4a76-8f10-5fe4327544e6",
"Limit": 2.1
}
]
GET v1/companies/{CompanyId}/locations/{LocationId}/customer/{CustomerId}/cannabispurchasesummary/today
Returns a Customers Purchased THC Amounts for the Day
Base URL:
https://api.covasoft.net/dispensary
Example of a call would be:
https://api.covasoft.net/dispensary/v1/companies/{CompanyId}/locations/{LocationId}/customer/{CustomerId}/cannabispurchasesummary/today
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage. | integer | Required |
| LocationId | This is Location Id where you want to get the Purchasing History | integer | Required |
| CustomerId | This is the Customer Id GUID that you want to see the Day's Purchases | globally unique identifier | Required |
Body Parameters
None.
Response Information
Resource Description
Customers Purchased THC Amounts for the Day
DispensaryCustomerPurchasedThcByDayReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| totalThcContent | decimal number | None. | |
| flowerEquivalency | decimal number | None. | |
| flower | decimal number | None. | |
| concentrate | decimal number | None. | |
| edible | decimal number | None. | |
| liquidProduct | decimal number | None. | |
| freshCannabis | decimal number | None. | |
| cannabisOil | decimal number | None. | |
| seed | decimal number | None. | |
| solidInfused | decimal number | None. |
Response Formats
application/json, text/json
{
"totalThcContent": 1.1,
"flowerEquivalency": 1.1,
"flower": 1.1,
"concentrate": 1.1,
"edible": 1.1,
"liquidProduct": 1.1,
"freshCannabis": 1.1,
"cannabisOil": 1.1,
"seed": 1.1,
"solidInfused": 1.1
}
GET Companies({CompanyId})/Entities({LocationId})/purchaselimits
Returns a Location's Purchase Tranaction Limit for the Day
Base URL:
https://api.covasoft.net/dispensary
Example of a call would be:
https://api.covasoft.net/dispensary/Companies({CompanyId})/Entities({LocationId})/purchaselimits
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage. | integer | Required |
| LocationId | This is Location Id where you want to get the Purchasing History | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Location's Purchase Tranaction Limit for the Day
Collection of DispensaryTransactionLimitsByLocationReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer | None. | |
| Country | string | None. | |
| State | string | None. | |
| City | string | None. | |
| PurchaseTypes | Collection of PurchaseType | None. |
Response Formats
application/json, text/json
[
{
"Id": 1,
"Country": "sample string 2",
"State": "sample string 3",
"City": "sample string 4",
"PurchaseTypes": [
{
"PurchaseType": "sample string 1",
"MedicalLimit": 1.1,
"MedicalUnit": "sample string 2",
"RecreationalLimit": 1.1,
"RecreationalUnit": "sample string 3"
},
{
"PurchaseType": "sample string 1",
"MedicalLimit": 1.1,
"MedicalUnit": "sample string 2",
"RecreationalLimit": 1.1,
"RecreationalUnit": "sample string 3"
}
]
},
{
"Id": 1,
"Country": "sample string 2",
"State": "sample string 3",
"City": "sample string 4",
"PurchaseTypes": [
{
"PurchaseType": "sample string 1",
"MedicalLimit": 1.1,
"MedicalUnit": "sample string 2",
"RecreationalLimit": 1.1,
"RecreationalUnit": "sample string 3"
},
{
"PurchaseType": "sample string 1",
"MedicalLimit": 1.1,
"MedicalUnit": "sample string 2",
"RecreationalLimit": 1.1,
"RecreationalUnit": "sample string 3"
}
]
}
]
Models
PurchaseType
| Name | Description | Type | Additional information |
|---|---|---|---|
| PurchaseType | string | None. | |
| MedicalLimit | decimal number | None. | |
| MedicalUnit | string | None. | |
| RecreationalLimit | decimal number | None. | |
| RecreationalUnit | string | None. |
GET Companies({CompanyId})/SupplierLicensing({SupplierId}
Returns Dispensary Suppliers Licensing Details by SupplierId
Base URL:
https://api.covasoft.net/dispensary
Example of a call would be:
https://api.covasoft.net/dispensary/Companies({CompanyId})/SupplierLicensing({SupplierId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage. | integer | Required |
| SupplierId | This is Supplier Id where you want to get the Licensing Details | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Dispensary Suppliers Licensing Details by SupplierId
DispensaryGetLicenseDetailsBySupplierReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | integer | None. | |
| SupplierId | integer | None. | |
| LicenseNumber | string | None. |
Response Formats
application/json, text/json
{
"CompanyId": 1,
"SupplierId": 2,
"LicenseNumber": "sample string 3"
}